Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.components.annotations
Class DefaultAnnotations

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.components.annotations.DefaultAnnotations

    public class DefaultAnnotations

extends Object

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Oct 20, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Author:
  Holger Knublauch

Field Summary
`static String` | `SETTINGS_MAP_KEY`

Constructor Summary
`DefaultAnnotations(OWLModel owlModel)`

Method Summary
`void` | `addDefaultAnnotationProperty(RDFProperty property)`
`Collection` | `getDefaultAnnotationProperties()`
`void` | `removeDefaultAnnotationProperty(RDFProperty property)`
`void` | `setDefaultAnnotationProperties(Collection properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SETTINGS_MAP_KEY

    public static final String SETTINGS_MAP_KEY

Constructor Detail

### DefaultAnnotations

    public DefaultAnnotations(OWLModel owlModel)

Method Detail

### addDefaultAnnotationProperty

    public void addDefaultAnnotationProperty(RDFProperty property)

### getDefaultAnnotationProperties

    public Collection getDefaultAnnotationProperties()

### removeDefaultAnnotationProperty

    public void removeDefaultAnnotationProperty(RDFProperty property)

### setDefaultAnnotationProperties

    public void setDefaultAnnotationProperties(Collection properties)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.